HttpJspPage (JavaServer Pages API Documentation)
Keywords: javax.servlet.jsp.HttpJspPage interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp
Interface HttpJspPage

All Superinterfaces:
  JspPage, javax.servlet.Servlet

public interface HttpJspPage
extends JspPage

The HttpJspPage interface describes the interaction that a JSP Page Implementation Class must satisfy when using the HTTP protocol.

The behaviour is identical to that of the JspPage, except for the signature of the _jspService method, which is now expressible in the Java type system and included explicitly in the interface.

See Also:
  `JspPage`

Method Summary
`void` | `_jspService(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` The _jspService()method corresponds to the body of the JSP page.

Methods inherited from interface javax.servlet.jsp.JspPage
`jspDestroy, jspInit`

Methods inherited from interface javax.servlet.Servlet
`destroy, getServletConfig, getServletInfo, init, service`

Method Detail

### _jspService

    public void _jspService(javax.servlet.http.HttpServletRequest request,
                            javax.servlet.http.HttpServletResponse response)
                     throws javax.servlet.ServletException,
                            java.io.IOException

  The _jspService()method corresponds to the body of the JSP page. This method is defined automatically by the JSP container and should never be defined by the JSP page author.

  If a superclass is specified using the extends attribute, that superclass may choose to perform some actions in its service() method before or after calling the _jspService() method. See using the extends attribute in the JSP_Engine chapter of the JSP specification.

  Parameters:
    `request` - Provides client request information to the JSP.
    `response` - Assists the JSP in sending a response to the client.
  Throws:
    `javax.servlet.ServletException` - Thrown if an error occurred during the processing of the JSP and that the container should take appropriate action to clean up the request.
    `java.io.IOException` - Thrown if an error occurred while writing the response for this page.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.